<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Comment extends Model
{
	use SoftDeletes;

	// Наличие fillable требуется только при использовании mass assignment, т.е. создание записи из ассоциативного массива
	protected $fillable = [
		"name",
		"email",
		"content"
	];

	function scopeRecent($query) {
		$query->orderBy("created_at", "desc");
	}
}
