@extends("layouts.app")

@section("content")
<h1>Добавление книги</h1>
<form method="POST" action="">
	@csrf

	<div>
		<label>
			<div>Название:</div>
			<input type="text" name="name" placeholder="Название книги..." value="{{ old("name") }}">
			@error("name")
				<span class="alert">{{ $message }}</span>
			@enderror
		</label>
	</div>

	<div>
		<label>
			<div>Аннотация:</div>
			<textarea name="annotation" placeholder="Аннотация...">{{ old("annotation") }}</textarea>
			@error("annotation")
				<span class="alert">{{ $message }}</span>
			@enderror
		</label>
	</div>

	<div>
		<label>
			<div>Количество страниц:</div>
			<input type="number" name="pagecount" placeholder="Количество страниц..." value="{{ old("pagecount") }}">
			@error("pagecount")
				<span class="alert">{{ $message }}</span>
			@enderror
		</label>
	</div>

	<div>
		<label>
			<div>Год:</div>
			<input type="year" name="year" placeholder="Год..." value="{{ old("year") }}">
			@error("year")
				<span class="alert">{{ $message }}</span>
			@enderror
		</label>
	</div>

	<div>
		<label>
			<div>ISBN:</div>
			<input type="text" name="isbn" placeholder="ISBN..." value="{{ old("ISBN") }}">
			@error("isbn")
				<span class="alert">{{ $message }}</span>
			@enderror
		</label>
	</div>

	<div>
		<label>
			<div>Автор:</div>
			@include("include.author_selector")
			@error("author")
				<span class="alert">{{ $message }}</span>
			@enderror
		</label>
	</div>

	<input type="submit">
</form>
@endsection
