<!DOCTYPE html>
<html>
	<head>
		<title>LaravelDemo - @yield('title')</title>
		<style>
			body {
				font-family: system-ui, sans-serif;
				font-size: 20px;
				margin: 0;

				background-color: #E88F00;
				color: #00305B;
			}

			.container {
				max-width: 48rem;
				margin: 0px auto;
			}

			.content {
				background-color: #202020;
				color: #D0D0D0;

				font-size: 18px;
				padding: 1rem;
			}

			.footer {
				font-size: 12px;
				padding: 1rem;
			}

			a {
				text-decoration-style: dotted;
				color: inherit;
			}

			.header a {
				display: inline-block;
				text-decoration: none;
				padding: 1rem 1rem 1rem 0ex;
			}

			.logo {
				font-weight: bold;
				padding: 1rem !important;
				float: left;
			}

			@media (max-width: 72rem) {
				.header a {
					padding: 1rem;
				}

				.header .container {
					margin: 0;
				}

				.logo {
					float: none;
				}
			}

			form > div > label {
				border-left: 2px solid #D0D0D0;
				display: block;
				padding-left: 0.3rem;
				margin: .3rem 0;
			}

			form > div > label:focus-within {
				border-color: #00FF60;
			}

			.author-selector {
				font-size: 22px;
			}

			.author-selector label {
				display: block;
				padding: .2rem 0rem;
			}

			input, textarea, select {
				font-family: inherit;
				font-size: inherit;
				border: 1px solid #D0D0D0;
				background-color: inherit;
				color: inherit;
				box-sizing: border-box;
			}

			.alert {
				background-color: #800000;
				padding: .3rem;
				margin: .3rem;
			}

			table {
				border-collapse: collapse;
			}

			td, th {
				padding: .2rem 1rem;
				text-align: left;
			}

			th {
				border-bottom: 1px solid #D0D0D0;
			}

			td {
				border-top: 1px solid #707070;
			}

			.article-list-entry {
				margin: 2rem 0;
			}

			.article-list-title {
				font-size: 36px;
				margin: .2rem 0;
			}

			.article-list-description {
				margin: 1rem 0;
			}

			.article-description-textarea {
				width: 100%;
			}

			.article-content-textarea {
				width: 100%;
				height: 25ex;
			}

			.article-content {
				white-space: pre-wrap;
			}

			pre {
				overflow: scroll;
			}
		</style>
	</head>
	<body>
		@include('include.header')
		<div class="content">
		<div class="container">
			@yield('content')
		</div>
		</div>
		@include('include.footer')
	</body>
</html>

